API DocumentationManufacturer customer controller
Create a new customer
POST
Creates a new customer record
Phasio API Bearer Tokenheader
AuthorizationBearer <token>application/json- body
firstName?stringlastName?stringemail?stringphoneNumber?stringlanguage?stringValue in
"EN""DE""EL""FR""NL""SL""DA""TR""PL""ES""BG""IT""UK""RU""SV"notificationPreference*stringValue in
"EMAIL""SMS""WHATSAPP"affiliate?stringorganisationName?stringtaxExempt?booleanauthCustomerId?stringCustomer created successfully
application/json- response
email?stringcustomerId*integerFormat
int64organisationId*integerFormat
int64organisationName?stringisApproved*booleanfirstName*stringlastName*stringphoneNumber*stringnotificationPreference*stringdiscountId?integerFormat
int64discountPercentage?numberlanguage?stringcurl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/customer' \ -H 'Content-Type: application/json' \ -d '{ "notificationPreference": "EMAIL"}'{ "email": "string", "customerId": 0, "organisationId": 0, "organisationName": "string", "isApproved": true, "firstName": "string", "lastName": "string", "phoneNumber": "string", "notificationPreference": "string", "discountId": 0, "discountPercentage": 0, "language": "string"}Last updated on